<!-- <a [routerLink] = "['/admin','company','edit-company']">linnk</a> -->

<div class="login-container row">
    <div class="d-flex justify-content-center w-100">
        <div class="card card-user">
            <div class="card-header">
                <h5 class="card-title">Login</h5>
            </div>
            <div class="card-body">
                <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
                    <div formGroupName="userData">

                        <div class="form-group">
                            <label for="email">email</label>
                            <input type="email" formControlName="email" class="form-control" />
                            <div *ngIf="!loginForm.get('userData.email').valid && loginForm.get('userData.email').touched"
                                class="help-block">Please enter a valid email!</div>


                        </div>
                        <div class="form-group">
                            <label for="password">Password</label>
                            <input type="password" formControlName="password" class="form-control" />

                            <div *ngIf="!loginForm.get('userData.password').valid && loginForm.get('userData.password').touched"
                                class="help-block">This field is
                                required!
                            </div>

                        </div>
                    </div>
                    <div class="form-group">
                        <button class="btn btn-primary" [disabled]="!loginForm.valid">Login</button>
                    </div>
                    <!-- <div class="alert alert-danger" *ngIf="error">
                        <h1>An Error Occurred!</h1>
                        <p>{{ error }}</p>
                        <button class="btn btn-danger" (click)="onHandleError()">Okay</button>
                    </div> -->
                </form>
            </div>
        </div>
    </div>
</div>